CFD Online Discussion Forums

CFD Online Discussion Forums (https://www.cfd-online.com/Forums/)
-   Open Source Meshers: Gmsh, Netgen, CGNS, ... (https://www.cfd-online.com/Forums/openfoam-meshing-open/)
-   -   Problem to install gmsh (https://www.cfd-online.com/Forums/openfoam-meshing-open/61883-problem-install-gmsh.html)

dante February 24, 2008 09:37

Hi, I'm installing gmsh follow
 
Hi, I'm installing gmsh following this wiki page :

http://openfoamwiki.net/index.php/Contrib_gmshFoam

but when I do

patch -p1 < $WM_PROJECT_USER_DIR/applications/utilities/gmshFoam/gmsh-2.0.8-foam-YYYYMMDD.di ff

I receive the following error:

can't find file to patch at input line 1417
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- gmsh-2.0.8/Post/Views.h 2007-07-09 22:54:37.000000000 +0900
|+++ gmsh-2.0.8.new/Post/Views.h 2007-08-20 13:01:16.000000000 +0900
--------------------------
File to patch:

why? Can anyone help me?

7islands February 24, 2008 19:59

Hi, Dante, If you are sure yo
 
Hi, Dante,
If you are sure you replaced $WM_PROJECT_DIR and YYYYMMDD as appropriate, it might be a version incompatibility of diff and patch. I had another report stating the same problem on this forum but still haven't got conclusion. What version of patch are you using (patch --version)?

Takuya

dante February 25, 2008 11:33

Hi Takuya, Of course I use th
 
Hi Takuya,
Of course I use the correct names for $WM_PROJECT_DIR and YYYYMMDD. The pathc version on my computer is: "patch 2.5.9".

7islands February 25, 2008 20:56

Hi Dante, I tried 2.5.9 but
 
Hi Dante,

I tried 2.5.9 but could not reproduce the problem... Meanwhile I changed the way to take diffs to a standard manner since the diff included in the gmshFoam package was taken in a bit unusual way. Could you try it and report how it works?

http://www.cfd-online.com/OpenFOAM_D...hment_icon.gif gmsh-2.0.8-foam-20070905-patchFix.diff.bz2

Takuya


All times are GMT -4. The time now is 16:53.